Skip to main content
POST
/
api
/
v1
/
client
/
update
curl --location 'http://fssportal.com/api/v1/client/update' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "client_id": 1164,
  "name": "John",
  "surname": "Doe",
  "email": "john2@example.com",
  "location": "Rajkot",
  "phone": "1234567890",
  "address": "123 Main St",
  "city": "Rajkot",
  "state": "Gujarat",
  "zip_code": "360006",
  "billing_address": "123 main St",
  "billing_city": "Rajkot",
  "billing_state": "Gujarat",
  "billing_zip_code": "360006",
  "phone_no": "7023927561",
  "lead_source_name": "",
  "quote_no": "Eeeerer",
  "lead_source_id": 17,
  "project_name": "Rajkot",
  "end_client_known": true
}'
{
  "message": "Client details updated successfully.",
  "data": []
}

Endpoint

POST /api/v1/client/update
This endpoint requires authentication

Headers

X-API-Token
string
required
Your API access token. You can also set this globally in the API playground.
platform
string
required
The platform making the request: WEB, IOS, or ANDROID.

Request Body

client_id
integer
required
The unique identifier of the client to update.
name
string
required
name
surname
string
required
surname
email
string
required
email
location
string
location
phone
string
phone
address
string
address
city
string
city
state
string
state
zip_code
string
zip code
billing_address
string
billing address
billing_city
string
billing city
billing_state
string
billing state
billing_zip_code
string
billing zip code
phone_no
string
phone no
lead_source_name
string
lead source name
quote_no
string
quote no
lead_source_id
integer
lead source id
project_name
string
project name
end_client_known
boolean
end client known

Response

message
string
message
data
array
data
curl --location 'http://fssportal.com/api/v1/client/update' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "client_id": 1164,
  "name": "John",
  "surname": "Doe",
  "email": "john2@example.com",
  "location": "Rajkot",
  "phone": "1234567890",
  "address": "123 Main St",
  "city": "Rajkot",
  "state": "Gujarat",
  "zip_code": "360006",
  "billing_address": "123 main St",
  "billing_city": "Rajkot",
  "billing_state": "Gujarat",
  "billing_zip_code": "360006",
  "phone_no": "7023927561",
  "lead_source_name": "",
  "quote_no": "Eeeerer",
  "lead_source_id": 17,
  "project_name": "Rajkot",
  "end_client_known": true
}'
{
  "message": "Client details updated successfully.",
  "data": []
}

Notes

  • Authentication is required